## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUBridgeCollationCompareFunctorImpl Class Reference

`#include <ICUBridgeCollationCompareFunctorImpl.hpp>`

Inheritance diagram for ICUBridgeCollationCompareFunctorImpl

Collaboration diagram for ICUBridgeCollationCompareFunctorImpl:

List of all members.

## Public Types

- typedef Collator CollatorType
- typedef std::list<CollationCacheStruct> CollatorCacheListType
- enum {
  eCacheMax = 10
  }

## Public Methods

- ICUBridgeCollationCompareFunctorImpl (bool fCacheCollators = false)
    Constructor. More...
- ~ICUBridgeCollationCompareFunctorImpl ()
- int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault) const
- int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, const XalanDOMChar* theLocale, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault) const
- bool isValid () const

## Member Typedef Documentation

typedef std::list<CollationCacheStruct> ICUBridgeCollationCompareFunctorImpl::CollatorCacheListType

typedef Collator ICUBridgeCollationCompareFunctorImpl::CollatorType

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eCacheMax |

## Constructor & Destructor Documentation

ICUBridgeCollationCompareFunctorImpl::ICUBridgeCollationCompareFunctorImpl ( | bool fCacheCollators = false )

Constructor.

Parameters:

  fCacheCollators | If true, the instance will cache collators. This is not thread-safe, so each thread must have its own instance.

ICUBridgeCollationCompareFunctorImpl::~ICUBridgeCollationCompareFunctorImpl ( | )

## Member Function Documentation

bool ICUBridgeCollationCompareFunctorImpl::isValid ( | ) const`[]`

int ICUBridgeCollationCompareFunctorImpl::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault ) const

int ICUBridgeCollationCompareFunctorImpl::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault ) const

The documentation for this class was generated from the following file:

- ICUBridgeCollationCompareFunctorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.